## clucene-core 0.9.20

=== CMakeLists.txt ===
PROJECT (clucene)

CMAKE_MINIMUM_REQUIRED(VERSION 2.4.2 FATAL_ERROR)

# include specific modules
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

# compile in debug mode
IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
ELSE(NOT CMAKE_BUILD_TYPE)
  MESSAGE( "Compiling as ${CMAKE_BUILD_TYPE}" )
ENDIF(NOT CMAKE_BUILD_TYPE)

INCLUDE_DIRECTORIES( ${clucene_SOURCE_DIR}/src )
INCLUDE_DIRECTORIES( ${clucene_BINARY_DIR}/src )

SUBDIRS (src/CLucene test src/demo)

OPTION(ENABLE_DEBUG
  "enable debug support"
  OFF)
IF(ENABLE_DEBUG)
	ADD_DEFINITIONS(-D_DEBUG)
ENDIF(ENABLE_DEBUG)


OPTION(ENABLE_MMAP
  "enable mmap support (experimental)"
  OFF)
IF(ENABLE_MMAP)
	ADD_DEFINITIONS(-DLUCENE_FS_MMAP)
ENDIF(ENABLE_MMAP)


OPTION(DISABLE_MULTITHREADING
  "disable multithreading - remove all locking code"
  OFF)
IF(ENABLE_MMAP)
	ADD_DEFINITIONS(-D_CL_DISABLE_MULTITHREADING)
ENDIF(ENABLE_MMAP)

OPTION(ENABLE_ASCII_MODE
  "enable ascii support"
  OFF)
IF(ENABLE_ASCII_MODE)
	ADD_DEFINITIONS(-D_ASCII)
ELSEIF(ENABLE_ASCII_MODE)
	ADD_DEFINITIONS(-D_UCS2)
ENDIF(ENABLE_ASCII_MODE)

## clucene-core 2.3.3.4

=== debian/changelog ===
clucene-core (2.3.3.4-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++5 ABI transition (closes: 791004).

 -- Julien Cristau <jcristau@debian.org>  Sun, 16 Aug 2015 17:33:45 +0200

clucene-core (2.3.3.4-4) unstable; urgency=low

  * Add bug718187-ftbfs-hurd.patch to fix build failure on HURD.
    Thanks to Pino Toscano. (Closes: #718187)

 -- Fathi Boudra <fabo@debian.org>  Mon, 29 Jul 2013 08:31:38 +0300

clucene-core (2.3.3.4-3) unstable; urgency=low

  * Add bug715474-no-boost-headers.patch to drop boost headers from
    clucene-core. (Closes: #715474)
  * Update debian/control:
    - Upload to Sid.
    - bump Standards-Version to 3.9.3.

 -- Fathi Boudra <fabo@debian.org>  Sun, 28 Jul 2013 15:51:57 +0300

clucene-core (2.3.3.4-2) experimental; urgency=low

  * Update multiarch patch: add multiarch path to pkg-config's cflags.
    (Closes: #684715)

 -- Fathi Boudra <fabo@debian.org>  Tue, 14 Aug 2012 17:39:32 +0300

clucene-core (2.3.3.4-1) experimental; urgency=low

  * New upstream release (Closes: #661703).
  * Convert package to multiarch.
  * Drop obsolete patches:
    - 01_add_missing_include_bug505667.diff
    - 02_posixness_fix_bug530308.diff
  * Add patches:
    - Fixing_ZLIB_configuration_in_shared_CMakeLists.patch
    - Fix-pkgconfig-file-by-adding-clucene-shared-library.patch
    - Install-contribs-lib.patch
    - multiarch.patch
  * Update debian/compat: bump to 8.
  * Update debian/control:
    - update build dependencies (add cmake, libboost-dev and libz-dev).
    - bump Standards-Version to 3.9.3.
    - rename packages due to ABI bump: libclucene0ldbl -> libclucene-core1.
    - add libclucene-contribs1 package.
  * Update debian/rules:
    - rewrite to use CMake.
    - add multiarch support.

 -- Fathi Boudra <fabo@debian.org>  Sat, 11 Aug 2012 09:33:38 +0300

clucene-core (0.9.21b-2) unstable; urgency=low

  * Restore libclucene0ldbl package name. (Closes: #542337)
  * Bump Standards-Version to 3.8.3 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Wed, 19 Aug 2009 08:51:17 +0200

clucene-core (0.9.21b-1) unstable; urgency=low

  * New upstream release.
  * Drop '01_stack_fix' patch - fixed upstream.
  * Add patches:
    - 01_add_missing_include_bug505667
      Thanks to Martin Michlmayr. (Closes: #505667)
    - 02_posixness_fix_bug530308
      fix POSIX incompatibilities causing FTBFS on hurd-i386.
      Thanks to Marc Dequènes. (Closes: #530308)
  * Bump debian/compat to 7.
  * Update debian/control:
    - Remove cdbs build dependency.
    - Bump Standards-Version: 3.8.2
    - Replace libclucene0ldbl package by libclucene0 package.
  * Update debian/copyright file.
  * Convert debian/rules to dh_usage.

 -- Fathi Boudra <fabo@debian.org>  Wed, 12 Aug 2009 12:16:43 +0200

clucene-core (0.9.20-3) unstable; urgency=low

  * Lower compat/debhelper to 5.
  * Re-enable static library build.

 -- Fathi Boudra <fabo@debian.org>  Thu, 21 Feb 2008 08:43:54 +0100

clucene-core (0.9.20-2) unstable; urgency=low

  * Re-add stack fix for x86_64. Not merged upstream. (Closes: #460328)
  * Bump compat/debhelper to 6.
  * Update my e-mail address.
  * Use quilt patch system.
  * Bump Standards-Version to 3.7.3.
  * Use Homepage field.
  * Build with --no-undefined and --as-needed linker flags.
  * Disable static library build.

 -- Fathi Boudra <fabo@debian.org>  Thu, 07 Feb 2008 23:59:58 +0100

clucene-core (0.9.20-1) unstable; urgency=low

  * New upstream release.
  * Remove libclucene.la from libclucene-dev package.

 -- Fathi Boudra <fboudra@free.fr>  Wed, 03 Oct 2007 16:04:38 +0200

clucene-core (0.9.16a-4) unstable; urgency=low

  * Set Fathi as maintainer and me as optional uploader
  * Fix for x86_64 segfaults in CLucene (Closes: #435197)
      Thanks to Jonny Lamb for passing on the patch

 -- Daniel Glassey <wdg@debian.org>  Fri, 31 Aug 2007 12:44:59 +0100

clucene-core (0.9.16a-3) unstable; urgency=low

  * Rename libclucene0 to libclucene0ldbl for ldbl128 transition.
    (Closes: #430254)
  * Update control: Replace deprecated ${Source-Version} by ${binary:Version}.

 -- Fathi Boudra <fboudra@free.fr>  Thu, 19 Jul 2007 21:40:30 +0200

clucene-core (0.9.16a-2) unstable; urgency=low

  * Build with -ansi flag. Make sure we use typedef float float_t otherwise
    we get typedef double float_t. It fixes strigi crash on PPC.
    (Closes: #424675)

 -- Fathi Boudra <fboudra@free.fr>  Fri, 15 Jun 2007 20:00:12 +0200

clucene-core (0.9.16a-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fboudra@free.fr>  Fri,  1 Dec 2006 00:45:51 +0100

clucene-core (0.9.16-1) unstable; urgency=low

  [Fathi Boudra]
  * New upstream release
  * Remove patch for jstream classes merged upstream

 -- Fathi Boudra <fboudra@free.fr>  Tue, 19 Sep 2006 16:40:02 +0200

clucene-core (0.9.15-5) unstable; urgency=low

  [Fathi Boudra]
  * Add patch to update jstream classes for Strigi

 -- Fathi Boudra <fboudra@free.fr>  Fri,  8 Sep 2006 11:26:44 +0200

clucene-core (0.9.15-4) unstable; urgency=low

  [Fathi Boudra]
  * Revert previous change: clucene-config.h is arch/platform specific
    and must be installed in /usr/lib/CLucene

 -- Fathi Boudra <fboudra@free.fr>  Sat,  5 Aug 2006 12:32:34 +0200

clucene-core (0.9.15-3) unstable; urgency=low

  [Fathi Boudra]
  * Install clucene-config.h in /usr/include/CLucene (Closes: #380484)

 -- Fathi Boudra <fboudra@free.fr>  Wed,  2 Aug 2006 12:33:03 +0200

clucene-core (0.9.15-2) unstable; urgency=low

  [Fathi Boudra]
  * libclucene0.shlibs: version less strict

 -- Fathi Boudra <fboudra@free.fr>  Sun,  9 Jul 2006 15:30:04 +0200

clucene-core (0.9.15-1) unstable; urgency=low

  [Fathi Boudra]
  * New upstream release (Closes: #343486)
  * Use real source package name: clucene-core
  * libclucene0.docs: cleanup paths
  * libclucene0.shlibs: update for new release
  * libclucene-dev.install: add clucene-config.h
  * rules:
    * cleanup to use a more common way to package


=== debian/control ===
Source: clucene-core
Priority: optional
Maintainer: Fathi Boudra <fabo@debian.org>
Uploaders: Daniel Glassey <wdg@debian.org>
Build-Depends: cmake (>= 2.8.5), debhelper (>= 8.1.3~), libboost-dev, libz-dev
Standards-Version: 3.9.4
Section: libs
Homepage: http://clucene.sourceforge.net

Package: libclucene-dev
Section: libdevel
Architecture: any
Depends: libc6-dev,
         libclucene-contribs1v5 (= ${binary:Version}),
         libclucene-core1v5 (= ${binary:Version}),
         ${misc:Depends}
Description: library for full-featured text search engine (development)
 CLucene is a C++ port of the popular Apache Lucene search engine
 (http://lucene.apache.org/java). It is released under LGPL or the Apache
 License.
 .
 CLucene aims to be a high-speed alternative to Java Lucene, its API is very
 similar to that of the Java version. CLucene has recently been brought up to
 date with Lucene 1.4.3. It contains most of the same functionality as the
 Java version, except for Socket, Threading and the special caching
 modifications.
 .
 This package contains the static libraries and headers for developing
 applications that use the CLucene search API.

Package: libclucene-core1v5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Conflicts: libclucene-core1
Replaces: libclucene-core1
Description: core library for full-featured text search engine (runtime)
 CLucene is a C++ port of the popular Apache Lucene search engine
 (http://lucene.apache.org/java). It is released under LGPL or the Apache
 License.
 .
 CLucene aims to be a high-speed alternative to Java Lucene, its API is very
 similar to that of the Java version. CLucene has recently been brought up to
 date with Lucene 1.4.3. It contains most of the same functionality as the
 Java version, except for Socket, Threading and the special caching
 modifications.
 .
 This package contains the files necessary for running applications that
 use the CLucene core and shared libraries.

Package: libclucene-contribs1v5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Conflicts: libclucene-contribs1
Replaces: libclucene-contribs1
Description: language specific text analyzers (runtime)
 CLucene is a C++ port of the popular Apache Lucene search engine
 (http://lucene.apache.org/java). It is released under LGPL or the Apache
 License.
 .
 CLucene aims to be a high-speed alternative to Java Lucene, its API is very
 similar to that of the Java version. CLucene has recently been brought up to
 date with Lucene 1.4.3. It contains most of the same functionality as the
 Java version, except for Socket, Threading and the special caching
 modifications.
 .
 This package contains the files necessary for running applications that
 use the CLucene contribs library (language specific text analyzers for
 CLucene).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --list-missing --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	-DBUILD_CONTRIBS_LIB=ON \
	-DLIB_DESTINATION:PATH=/usr/lib/$(DEB_HOST_MULTIARCH) \
	-DLUCENE_SYS_INCLUDES:PATH=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_auto_test:

## clucene-core 2.3.3.4%2Bdfsg

=== debian/changelog ===
clucene-core (2.3.3.4+dfsg-1ubuntu5) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 10:46:28 +0100

clucene-core (2.3.3.4+dfsg-1ubuntu4) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:10:08 +0200

clucene-core (2.3.3.4+dfsg-1ubuntu3) hirsute; urgency=medium

  * Make libclucene-contribs1v5f Conflict/Replace libclucene-contribs1v5

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 17 Feb 2021 22:11:42 +0100

clucene-core (2.3.3.4+dfsg-1ubuntu2) hirsute; urgency=medium

  * Drop defining float_t as double on s390x, rename packages changing the ABI
    to use float_t as float instead (LP: #1915927)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 17 Feb 2021 19:25:01 +0100

clucene-core (2.3.3.4+dfsg-1ubuntu1) hirsute; urgency=medium

  * Fix float_t abi to double ahead of glibc change.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 01 Feb 2021 10:22:06 +0000

clucene-core (2.3.3.4+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Mar 2020 13:26:42 +0100

clucene-core (2.3.3.4+dfsg-1) unstable; urgency=medium

  * Update debian/copyright: clarify src/test/data/* copyright and
    distribution terms. (Closes: #821089)
  * Update debian/rules: add prune-nonfree target to remove Reuters test data.
    The free distribution of this data is *for research purposes only*.

 -- Fathi Boudra <fabo@debian.org>  Thu, 22 Dec 2016 09:40:15 +0200

clucene-core (2.3.3.4-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix GCC version detection. Closes: #812292.
  * Bump debhelper and standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Aug 2016 11:24:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: clucene-core
 Priority: optional
-Maintainer: Fathi Boudra <fabo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Fathi Boudra <fabo@debian.org>
 Uploaders: Daniel Glassey <wdg@debian.org>
-Build-Depends: cmake (>= 2.8.5), debhelper (>= 8.1.3~), libboost-dev, libz-dev
-Standards-Version: 3.9.4
+Build-Depends: cmake (>= 2.8.5), debhelper (>= 9), libboost-dev, libc6-dev (>> 2.33), libz-dev
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://clucene.sourceforge.net
 
@@ -11,9 +12,12 @@
 Section: libdevel
 Architecture: any
 Depends: libc6-dev,
-         libclucene-contribs1v5 (= ${binary:Version}),
-         libclucene-core1v5 (= ${binary:Version}),
+         libclucene-contribs1v5 (= ${binary:Version}) [!s390x],
+         libclucene-contribs1v5f (= ${binary:Version}) [s390x],
+         libclucene-core1v5 (= ${binary:Version}) [!s390x],
+         libclucene-core1v5f (= ${binary:Version}) [s390x],
          ${misc:Depends}
+Breaks: libc6-dev (<< 2.33) [s390x]
 Description: library for full-featured text search engine (development)
  CLucene is a C++ port of the popular Apache Lucene search engine
  (http://lucene.apache.org/java). It is released under LGPL or the Apache
@@ -29,7 +33,7 @@
  applications that use the CLucene search API.
 
 Package: libclucene-core1v5
-Architecture: any
+Architecture: amd64 arm64 armel armhf hppa i386 m68k mips mipsel mipsn32 mipsn32el mips64 mips64el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el nios2 powerpc ppc64 ppc64el riscv64 sparc sparc64 sh3 sh4 x32
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -49,8 +53,29 @@
  This package contains the files necessary for running applications that
  use the CLucene core and shared libraries.
 
+Package: libclucene-core1v5f
+Architecture: s390x
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
+Conflicts: libclucene-core1, libclucene-core1v5
+Replaces: libclucene-core1, libclucene-core1v5
+Description: core library for full-featured text search engine (runtime)
+ CLucene is a C++ port of the popular Apache Lucene search engine
+ (http://lucene.apache.org/java). It is released under LGPL or the Apache
+ License.
+ .
+ CLucene aims to be a high-speed alternative to Java Lucene, its API is very
+ similar to that of the Java version. CLucene has recently been brought up to
+ date with Lucene 1.4.3. It contains most of the same functionality as the
+ Java version, except for Socket, Threading and the special caching
+ modifications.
+ .
+ This package contains the files necessary for running applications that
+ use the CLucene core and shared libraries.
+
 Package: libclucene-contribs1v5
-Architecture: any
+Architecture: amd64 arm64 armel armhf hppa i386 m68k mips mipsel mipsn32 mipsn32el mips64 mips64el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el nios2 powerpc ppc64 ppc64el riscv64 sparc sparc64 sh3 sh4 x32
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -70,3 +95,25 @@
  This package contains the files necessary for running applications that
  use the CLucene contribs library (language specific text analyzers for
  CLucene).
+
+Package: libclucene-contribs1v5f
+Architecture: s390x
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
+Conflicts: libclucene-contribs1, libclucene-contribs1v5
+Replaces: libclucene-contribs1, libclucene-contribs1v5
+Description: language specific text analyzers (runtime)
+ CLucene is a C++ port of the popular Apache Lucene search engine
+ (http://lucene.apache.org/java). It is released under LGPL or the Apache
+ License.
+ .
+ CLucene aims to be a high-speed alternative to Java Lucene, its API is very
+ similar to that of the Java version. CLucene has recently been brought up to
+ date with Lucene 1.4.3. It contains most of the same functionality as the
+ Java version, except for Socket, Threading and the special caching
+ modifications.
+ .
+ This package contains the files necessary for running applications that
+ use the CLucene contribs library (language specific text analyzers for
+ CLucene).

## clucene-core 2.3.3.4+dfsg

=== debian/control ===
Source: clucene-core
Priority: optional
Maintainer: Fathi Boudra <fabo@debian.org>
Uploaders: Daniel Glassey <wdg@debian.org>
Build-Depends: cmake (>= 2.8.5), debhelper (>= 9), libboost-dev, libz-dev
Standards-Version: 3.9.8
Section: libs
Homepage: http://clucene.sourceforge.net

Package: libclucene-dev
Section: libdevel
Architecture: any
Depends: libc6-dev,
         libclucene-contribs1v5 (= ${binary:Version}),
         libclucene-core1v5 (= ${binary:Version}),
         ${misc:Depends}
Description: library for full-featured text search engine (development)
 CLucene is a C++ port of the popular Apache Lucene search engine
 (http://lucene.apache.org/java). It is released under LGPL or the Apache
 License.
 .
 CLucene aims to be a high-speed alternative to Java Lucene, its API is very
 similar to that of the Java version. CLucene has recently been brought up to
 date with Lucene 1.4.3. It contains most of the same functionality as the
 Java version, except for Socket, Threading and the special caching
 modifications.
 .
 This package contains the static libraries and headers for developing
 applications that use the CLucene search API.

Package: libclucene-core1v5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Conflicts: libclucene-core1
Replaces: libclucene-core1
Description: core library for full-featured text search engine (runtime)
 CLucene is a C++ port of the popular Apache Lucene search engine
 (http://lucene.apache.org/java). It is released under LGPL or the Apache
 License.
 .
 CLucene aims to be a high-speed alternative to Java Lucene, its API is very
 similar to that of the Java version. CLucene has recently been brought up to
 date with Lucene 1.4.3. It contains most of the same functionality as the
 Java version, except for Socket, Threading and the special caching
 modifications.
 .
 This package contains the files necessary for running applications that
 use the CLucene core and shared libraries.

Package: libclucene-contribs1v5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Conflicts: libclucene-contribs1
Replaces: libclucene-contribs1
Description: language specific text analyzers (runtime)
 CLucene is a C++ port of the popular Apache Lucene search engine
 (http://lucene.apache.org/java). It is released under LGPL or the Apache
 License.
 .
 CLucene aims to be a high-speed alternative to Java Lucene, its API is very
 similar to that of the Java version. CLucene has recently been brought up to
 date with Lucene 1.4.3. It contains most of the same functionality as the
 Java version, except for Socket, Threading and the special caching
 modifications.
 .
 This package contains the files necessary for running applications that
 use the CLucene contribs library (language specific text analyzers for
 CLucene).

=== debian/rules ===
--- 
+++ 
@@ -23,3 +23,10 @@
 	dh_makeshlibs -V
 
 override_dh_auto_test:
+
+prune-nonfree:
+	# The copyright for the text of newswire articles and Reuters
+	# annotations in the Reuters-21578 collection resides with Reuters Ltd.
+	# Reuters Ltd. and Carnegie Group, Inc. have agreed to allow the free
+	# distribution of this data *for research purposes only*
+	rm -rf src/test/data/reuters*

## clucene-core 2.3.3.4.1

=== debian/changelog ===
clucene-core (2.3.3.4.1-deepin1+rb2) unstable; urgency=medium

  *Fix build on RISCV

 -- Z8MAN8 <1468559561@qq.com>  Tue, 29 Nov 2022 07:41:22 +0000
